Titanium.UI.setBackgroundColor('#000');

var win = Titanium.UI.createWindow({  
    title:'Win 1',
    backgroundColor:'#fff'
});
var categoryListScroll = Titanium.UI.createScrollView({  
	backgroundColor:'transparent',
	scrollable:"true",
	scrollIndicatorStyle:Ti.UI.iPhone.ScrollIndicatorStyle.DEFAULT,	
	left:0,
	top:0,
	width:Ti.Platform.displayCaps.platformWidth,
	layout:"vertical"
});

var jsonData=[];
for (var i=0; i < 15; i++) {
  jsonData.push({name:'name ' + i, image:'images/webContent/categoryImage.jpg', order:i, categoryId:i});
};
Ti.API.info('jsonData = ' + JSON.stringify(jsonData));


function listItemClick(e){
	var index = e.source.jsonIndex;
	
	Ti.API.info('index clicked = ' + index);
}		  
function createListItem(leftCategory, rightCategory){	
	var row = Ti.UI.createView({
		backgroundColor:'transparent',		
		selectedBackgroundImage:'',		
		selectedBackgroundColor:'transparent',
		width:1024,
		height:200,		
    	className:'classRows',	    
	    touchEnabled:true,	   
	    hasChild:false,
	    hasCheck:false,	    
	});
	
	row.add(createListItemViews(leftCategory,0));
	if(rightCategory) row.add(createListItemViews(rightCategory,512));
	
	return row;
}
function createListItemViews(data,viewLeft){
	var rowView = Ti.UI.createButton({		
		backgroundImage:data.image,
		backgroundColor:"transparent",
		width:512,
		height:200,
		bottom:0,
		left:viewLeft,
		jsonIndex:data.jsonIndex,			
	});
	
	var rowTitleBg = Titanium.UI.createImageView({
		backgroundColor:'transparent',					
		image:'/images/categoryTitleBrush.png',
		width:483,
		height:126,
		bottom:-20,
		left:0,	
		touchEnabled:false,		
	});
	
	var categoryName = Titanium.UI.createLabel({
		backgroundColor:'transparent',
		text:data.name.toUpperCase(),				
		font:{fontSize:'21dp',fontWeight:'Regular',fontFamily:'Serif Gothic Black'},
		minimumFontSize:'14dp',
		color:'#FFFF',				
		textAlign:Ti.UI.TEXT_ALIGNMENT_LEFT,
		bottom:'9dp',
		left:'10dp',
		width:'310',
		height:'25dp',
		touchEnabled:false,
	});	
	
	rowView.add(rowTitleBg);
	rowView.add(categoryName);	
	rowView.addEventListener('click',listItemClick);
	
	return rowView;
}

for (i = 0; i <jsonData.length;i+=2) {		
	Ti.API.info('i = ' + i);	
	jsonData[i].jsonIndex = i;
	var leftCategory = jsonData[i];			
	var rightCategory = false;
	
	if(i<jsonData.length-1){				
		jsonData[i+1].jsonIndex = i+1;			
		rightCategory = jsonData[i+1];
	}
	
	var newRow = createListItem(leftCategory,rightCategory);		
	categoryListScroll.add(newRow);	
	
};

win.add(categoryListScroll);
win.open();
